﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using Microsoft.Win32;
using System.IO;

namespace Zahlen
{
    /// <summary>
    /// Interaktionslogik für MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        OpenFileDialog ofd = new OpenFileDialog();

        private void button1_Click(object sender, RoutedEventArgs e)
        {
            bool? resultat = ofd.ShowDialog();
            if (resultat == true)
            {
                StreamReader sr = null;
                try
                {
                    int min = int.MaxValue;
                    int max = int.MinValue;
                    double summe = 0.0;
                    int zahlDerZeilen = 0;

                    sr = new StreamReader(ofd.FileName);
                    while (!sr.EndOfStream)
                    {
                        int z = int.Parse(sr.ReadLine());
                        zahlDerZeilen++;

                        if (z < min)
                        {
                            min = z;
                        }
                        if (z > max)
                        {
                            max = z;
                        }
                        summe += z;
                    }
                    sr.Close();

                    labelMin.Content = min.ToString();
                    labelAvg.Content = (summe / zahlDerZeilen).ToString();
                    labelMax.Content = max.ToString();
                }
                catch (Exception ex)
                {
                    labelMin.Content = "Fehler";
                    labelAvg.Content = "";
                    labelMax.Content = "";
                }
                finally
                {
                    if (sr != null)
                    {
                        sr.Close();
                    }
                }
            }
        }
    }
}
